Bug 1044148 - The backend name provided to bak2db is not validated
Summary: The backend name provided to bak2db is not validated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:27 UTC by Nathan Kinder
Modified: 2015-03-05 09:29 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:29:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Nathan Kinder 2013-12-17 21:27:02 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/630

I'm not entirely sure what is actually being restored here but it sure is doing a whole lot of work.

I have two backends in the GREYOAK-COM instance, userRoot and ipaca. I wanted to see what would happen if I gave it a bad backend name.

My initial thought was that the ipaca database was being restored by reading this output. To test this I made a backup, issued a cert, then restored it. The certificate was still there, leading me to believe the restoration didn't do anything at all.

In this test I'm requesting that the backend notfound be restored.

Doing this online seems to do basically the same thing.

389-ds-base-1.3.0.0-1.fc18.x86_64

{{{
/var/lib/dirsrv/scripts-GREYOAK-COM/bak2db /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM -n notfound
[19/Mar/2013:14:09:57 -0400] - /etc/dirsrv/slapd-GREYOAK-COM/dse.ldif: nsslapd-maxdescriptors: nsslapd-maxdescriptors: invalid value "8192", maximum file descriptors must range from 1 to 4096 (the current process limit).  Server will use a setting of 4096.
[19/Mar/2013:14:09:57 -0400] - Config Warning: - nsslapd-maxdescriptors: invalid value "8192", maximum file descriptors must range from 1 to 4096 (the current process limit).  Server will use a setting of 4096.
[19/Mar/2013:14:09:57 -0400] - dblayer_delete_database: skipping instance userRoot
[19/Mar/2013:14:09:57 -0400] - dblayer_delete_database: skipping instance ipaca
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/DBVERSION
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/DBVERSION to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/DBVERSION
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/requesttype.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/requesttype.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/requesttype.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/notafter.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/notafter.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/notafter.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/parentid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/parentid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/parentid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#cacompletepkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#cacompletepkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#cacompletepkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/DBVERSION
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/DBVERSION to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/DBVERSION
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#capendingenrollmentpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#capendingenrollmentpkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#capendingenrollmentpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#caallpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#caallpkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#caallpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/aci.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/aci.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/aci.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#cacompleteenrollmentpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#cacompleteenrollmentpkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#cacompleteenrollmentpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/requeststate.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/requeststate.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/requeststate.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allvalidcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#allvalidcertspkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allvalidcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/id2entry.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/id2entry.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/id2entry.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/numsubordinates.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/numsubordinates.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/numsubordinates.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/ancestorid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/ancestorid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/ancestorid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/nsuniqueid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/nsuniqueid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/nsuniqueid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allvalidorrevokedcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#allvalidorrevokedcertspkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allvalidorrevokedcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#allcertspkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allnonrevokedcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#allnonrevokedcertspkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allnonrevokedcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/serialno.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/serialno.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/serialno.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/publicKeyData.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/publicKeyData.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/publicKeyData.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/extension.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/extension.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/extension.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/objectclass.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/objectclass.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/objectclass.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/uid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/uid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/uid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/description.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/description.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/description.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/entryusn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/entryusn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/entryusn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allvalidcertsnotafterpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#allvalidcertsnotafterpkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allvalidcertsnotafterpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/metaInfo.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/metaInfo.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/metaInfo.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/uniquemember.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/uniquemember.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/uniquemember.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/mail.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/mail.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/mail.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/entryrdn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/entryrdn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/entryrdn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/subjectname.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/subjectname.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/subjectname.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/duration.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/duration.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/duration.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/dateOfCreate.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/dateOfCreate.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/dateOfCreate.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allinvalidcertsnotbeforepkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#allinvalidcertsnotbeforepkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allinvalidcertsnotbeforepkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allinvalidcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#allinvalidcertspkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#allinvalidcertspkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/cn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/cn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/cn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/sn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/sn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/sn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/issuedby.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/issuedby.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/issuedby.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/requestid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/requestid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/requestid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#caenrollmentpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#caenrollmentpkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#caenrollmentpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/seeAlso.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/seeAlso.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/seeAlso.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/notbefore.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/notbefore.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/notbefore.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#capendingpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/vlv#capendingpkitomcatindex.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/vlv#capendingpkitomcatindex.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/certstatus.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/ipaca/certstatus.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca/certstatus.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/automountkey.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/automountkey.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/automountkey.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/managedby.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/managedby.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/managedby.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/parentid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/parentid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/parentid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/DBVERSION
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/DBVERSION to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/DBVERSION
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/ou.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/ou.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/ou.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/member.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/member.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/member.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/aci.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/aci.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/aci.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/memberOf.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/memberOf.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/memberOf.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/id2entry.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/id2entry.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/id2entry.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/numsubordinates.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/numsubordinates.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/numsubordinates.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/ancestorid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/ancestorid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/ancestorid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/nsuniqueid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/nsuniqueid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/nsuniqueid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/uidnumber.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/uidnumber.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/uidnumber.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/objectclass.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/objectclass.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/objectclass.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/uid.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/uid.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/uid.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/krbPrincipalName.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/krbPrincipalName.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/krbPrincipalName.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/entryusn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/entryusn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/entryusn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/memberHost.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/memberHost.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/memberHost.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/mail.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/mail.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/mail.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/entryrdn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/entryrdn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/entryrdn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/displayname.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/displayname.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/displayname.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/cn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/cn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/cn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/sn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/sn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/sn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/memberUser.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/memberUser.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/memberUser.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/fqdn.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/fqdn.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/fqdn.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/ipakrbprincipalalias.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/ipakrbprincipalalias.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/ipakrbprincipalalias.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/seeAlso.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/seeAlso.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/seeAlso.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/macAddress.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/macAddress.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/macAddress.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/gidnumber.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/gidnumber.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/gidnumber.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/givenName.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/givenName.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/givenName.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/nscpEntryDN.db
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/userRoot/nscpEntryDN.db to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot/nscpEntryDN.db
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/dse_instance.ldif
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/dse_instance.ldif to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/dse_instance.ldif
[19/Mar/2013:14:09:57 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/log.0000000001
[19/Mar/2013:14:09:57 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/log.0000000001 to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/log.0000000001
[19/Mar/2013:14:09:58 -0400] - Moving file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/dse_index.ldif
[19/Mar/2013:14:09:58 -0400] - Copying /tmp/tmpVRNYXkipa/ipa/GREYOAK-COM/dse_index.ldif to /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/dse_index.ldif
[19/Mar/2013:14:09:58 -0400] - Removing file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/DBVERSION from staging area
[19/Mar/2013:14:09:58 -0400] - Removing file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/ipaca from staging area
[19/Mar/2013:14:09:58 -0400] - Removing file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/userRoot from staging area
[19/Mar/2013:14:09:58 -0400] - Removing file /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak/log.0000000001 from staging area
[19/Mar/2013:14:09:58 -0400] - All database threads now stopped
[19/Mar/2013:14:09:58 -0400] - Restore: Removing staging area /var/lib/dirsrv/slapd-GREYOAK-COM/db/../fribak.
}}}

Comment 2 Viktor Ashirov 2015-01-20 16:52:11 UTC
$ rpm -qa | grep 389
389-ds-base-debuginfo-1.3.3.1-11.el7.x86_64
389-ds-base-libs-1.3.3.1-11.el7.x86_64
389-ds-base-1.3.3.1-11.el7.x86_64

[0] Backup db
$ db2bak
Back up directory: /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05
<snip>

[1] Restore with inexistent backend:
$ bak2db /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/  -n notfound
[20/Jan/2015:17:42:08 +0100] - archive2db: backend "notfound" does not exist.

Inexistent backend is not restored, input is validated.

[2] Check whether backend name is case insensitive:
$ bak2db /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/  -n UsErRoOt
[20/Jan/2015:17:44:45 +0100] - All database threads now stopped
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/id2entry.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/id2entry.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/id2entry.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/entryrdn.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/entryrdn.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/entryrdn.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/parentid.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/parentid.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/parentid.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/uid.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/uid.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/uid.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/objectclass.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/objectclass.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/objectclass.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/nsuniqueid.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/nsuniqueid.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/nsuniqueid.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/givenName.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/givenName.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/givenName.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/sn.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/sn.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/sn.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/cn.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/cn.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/cn.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/numsubordinates.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/numsubordinates.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/numsubordinates.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/ancestorid.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/ancestorid.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/ancestorid.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/DBVERSION
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/DBVERSION to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/DBVERSION
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/aci.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/aci.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/aci.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/mail.db
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/userRoot/mail.db to /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/mail.db
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/log.0000000001
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/log.0000000001 to /var/lib/dirsrv/slapd-rhel7/db/../fribak/log.0000000001
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/DBVERSION
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/DBVERSION to /var/lib/dirsrv/slapd-rhel7/db/../fribak/DBVERSION
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/dse_instance.ldif
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/dse_instance.ldif to /var/lib/dirsrv/slapd-rhel7/db/../fribak/dse_instance.ldif
[20/Jan/2015:17:44:46 +0100] - Moving file /var/lib/dirsrv/slapd-rhel7/db/../fribak/dse_index.ldif
[20/Jan/2015:17:44:46 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/bak/rhel7-2015_01_20_17_40_05/dse_index.ldif to /var/lib/dirsrv/slapd-rhel7/db/../fribak/dse_index.ldif
[20/Jan/2015:17:44:47 +0100] - Removing file /var/lib/dirsrv/slapd-rhel7/db/../fribak/log.0000000001 from staging area
[20/Jan/2015:17:44:47 +0100] - Removing file /var/lib/dirsrv/slapd-rhel7/db/../fribak/DBVERSION from staging area
[20/Jan/2015:17:44:47 +0100] - Restoring file 1 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/id2entry.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 2 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/entryrdn.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 3 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/parentid.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 4 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/uid.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 5 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/objectclass.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 6 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/nsuniqueid.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 7 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/givenName.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 8 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/sn.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 9 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/cn.db)
[20/Jan/2015:17:44:47 +0100] - Restoring file 10 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/numsubordinates.db)
[20/Jan/2015:17:44:48 +0100] - Restoring file 11 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/ancestorid.db)
[20/Jan/2015:17:44:48 +0100] - Restoring file 12 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/DBVERSION)
[20/Jan/2015:17:44:48 +0100] - Copying /var/lib/dirsrv/slapd-rhel7/db/../fribak/userRoot/DBVERSION to /var/lib/dirsrv/slapd-rhel7/db/userRoot/DBVERSION
[20/Jan/2015:17:44:48 +0100] - Restoring file 13 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/aci.db)
[20/Jan/2015:17:44:48 +0100] - Restoring file 14 (/var/lib/dirsrv/slapd-rhel7/db/userRoot/mail.db)
[20/Jan/2015:17:44:48 +0100] - All database threads now stopped
[20/Jan/2015:17:44:48 +0100] - Restore: Removing staging area /var/lib/dirsrv/slapd-rhel7/db/../fribak.

Backend is case insensitive. 

Marking as VERIFIED.

Comment 4 errata-xmlrpc 2015-03-05 09:29:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.